%global debug_package %{nil}

%global provider github
%global provider_tld com
%global project key4hep
%global repo k4-spack
%global import_path %{provider}.%{provider_tld}/%{project}/%{repo}
%global commit0 6112d622da8444fffb4e4d16f047b0453ec50dce
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})
%global date 20200630
%global git0 https://%{import_path}

Name:           spack-repos-k4
Summary:        Key4hep repo
Version:        0.%{date}git%{shortcommit0}
Release:        %mkrel 1

License:        MIT
URL:            https://spack.io/
Source0:        %{git0}/archive/%{commit0}/%{name}-%{shortcommit0}.tar.gz
Group:          Sciences/Physics

BuildRequires: python3
BuildArch:  noarch
Recommends: spack-repos
Requires: spack

%description
This holds a set of Spack packages for common HEP software. It relies
on Spack and the builtin Spack packages, some of which are overridden
by this repo.

%prep
%autosetup -p1 -n k4-spack-%{commit0}

%build

%install
mkdir -p %{buildroot}/var/spack/repos/k4
cp -r config packages scripts README.md repo.yaml %{buildroot}/var/spack/repos/k4

%posttrans
spack repo add /var/spack/repos/k4

%preun
spack repo remove k4

%files
%{_var}/spack/repos/k4


%changelog
* Mon Jul 27 2020 joequant <joequant> 0.20200630git6112d62-1.mga8
+ Revision: 1609198
- update to 20200630
- fix version

* Fri Jun 26 2020 joequant <joequant> 0.20200623git32d0e31.mga8-1.mga8
+ Revision: 1599403
- imported package spack-repos-k4

